View Issue Details

IDProjectCategoryView StatusLast Update
0000568luatexluatex bugpublic2015-11-03 16:34
ReporterphiAssigned ToHans Hagen 
PrioritylowSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.65.0 
Target VersionFixed in Version0.85.0 
Summary0000568: Inconsistent error handling behavior with virtual fonts
DescriptionWhen using an invalid command in the fontdata.characters[...].commands table, sometimes an error is issued, sometimes not. For example, when compiling the following document:

\directlua{%
  local virtual = {
    name = "test",
    type = "virtual",
    fonts = {
      { name = "cmr10", size = 0xA0000 }
    },
    characters = {
      [0x0061] = {
        commands = {
          { "font", 1 },
          { "unknown" }
        }
      }
    }
  }
  local id = font.define(virtual)
  font.current(id)
}

\bye

the message "unknown packet command unknown!" is printed and afterward the error "bad argument #-1 to 'define' (number expected, got nil" is raised. If we uncomment the line `{"font", 1},` and/or add a parameter to the "unknown" command (e.g., `{"unknown", 0}`), the error message disappears and LuaTeX exits with return code 0. If would be nice if the error message were printed in all cases, and even better if it were a bit more user-friendly (e.g., using file-line-error style).
TagsNo tags attached.

Activities

Hans Hagen

2015-11-03 16:34

manager   ~0001502

quit with error message

Issue History

Date Modified Username Field Change
2011-02-04 20:32 phi New Issue
2011-02-10 10:36 Taco Status new => assigned
2011-02-10 10:36 Taco Assigned To => Taco
2014-03-30 11:49 Hans Hagen Assigned To Taco => Hans Hagen
2015-11-03 16:34 Hans Hagen Note Added: 0001502
2015-11-03 16:34 Hans Hagen Status assigned => closed
2015-11-03 16:34 Hans Hagen Resolution open => fixed
2015-11-03 16:34 Hans Hagen Fixed in Version => 0.85.0